Name:		gotcha
Version:	1.0.3
Release:	1%{?dist}
Summary:	Library that wraps functions
License:	LGPLv2
URL:		https://github.com/LLNL/GOTCHA
Source0:	https://github.com/LLNL/GOTCHA/archive/v%version/%name-%version.tar.gz
BuildRequires:	cmake gcc-c++

%description
Gotcha is a library that wraps functions.  Tools can use gotcha to
install hooks into other libraries, for example putting a wrapper
function around libc's malloc.  It is similar to LD_PRELOAD, but
operates via a programmable API.  This enables easy methods of
accomplishing tasks like code instrumentation or wholesale replacement
of mechanisms in programs without disrupting their source code.


%package devel
Summary: Development files for %name
Requires: %name%{?_isa} = %version-%release

%description devel
Development files for %name.


%prep
%setup -q -n GOTCHA-%version


%build
%cmake .
%make_build


%install
%make_install


%files
%license LGPL COPYRIGHT
%doc README.md
%_libdir/libgotcha.so.2*

%files devel
%_includedir/gotcha
%_libdir/libgotcha.so
%dir %_libdir/cmake
%_libdir/cmake/gotcha


%changelog
* Thu Sep 17 2020 Dave Love <loveshack@fedoraproject.org> - 1.0.3-1
- Initial packaging
